#ifndef __FAF_H__

#include "ipaddr.h"

#ifdef WIN32
#define DIR_SEP '\\'
#else
#define DIR_SEP '/'
#endif

#define FAF_VERSION "0.3"

#define DEFAULT_TIMEOUT (1000*60*2)

#ifdef __cplusplus
extern "C" {
#endif

DECLSPEC int SDLCALL FAF_Init();

DECLSPEC int SDLCALL FAF_Run(const char *user, const char *fname, Uint16 port);

DECLSPEC char * SDLCALL FAF_Webname(const char *fname);

#ifdef __cplusplus
}
#endif


#endif/*__FAF_H__*/
